%define prefix /usr

Summary: Linux bootloader for Power Macintosh 'New World' computers.
Name: yaboot
Version: 1.3.6
Release: 1b.2rh
Copyright: GPL
Group: System Environment/Base
Source: http://penguinppc.org/usr/yaboot/yaboot-%{version}.tar.gz
Patch1: yaboot-1.3.3-man.patch
Patch2: yaboot-1.3.6-ofboot.patch
Patch3: yaboot-1.3.6-rh.patch
URL: http://penguinppc.org/usr/yaboot/
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: ybin

%description
yaboot is a bootloader for PowerPC machines which works on New World ROM
machines (Rev. A iMac and newer) and runs directly from Open Firmware,
eliminating the need for Mac OS.
yaboot can also bootload IBM pSeries machines.

%prep
%setup
%patch1 -p0
##%patch2 -p1
%patch3 -p1

%build
make

%install
%makeinstall ROOT=$RPM_BUILD_ROOT PREFIX=%{prefix} MANDIR=share/man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README* doc/*
%config(noreplace) /etc/yaboot.conf
%{prefix}/sbin/ofpath
%{prefix}/sbin/ybin
%{prefix}/sbin/yabootconfig
%{prefix}/sbin/mkofboot
%{prefix}/lib/yaboot/addnote
%{prefix}/lib/yaboot/ofboot
%{prefix}/lib/yaboot/yaboot
%{_mandir}/man8/bootstrap.8.gz
%{_mandir}/man8/mkofboot.8.gz
%{_mandir}/man8/ofpath.8.gz
%{_mandir}/man8/yaboot.8.gz
%{_mandir}/man8/yabootconfig.8.gz
%{_mandir}/man8/ybin.8.gz
%{_mandir}/man5/yaboot.conf.5.gz

%changelog
* Thu Oct 03 2002 Dave Lehman <dlehman@redhat.com>
- fix Summary for specspo (remove double quotes)

* Wed Mar 06 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- modify for YDL 2.2

* Fri Dec 07 2001 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- update to 1.3.6

* Sat Oct 06 2001 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- update to 1.3.4

* Sun Sep 30 2001 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- updated to yaboot 1.3.3

* Tue Sep 25 2001 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- add makefile patch

* Sun Sep 23 2001 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- update to 1.3.1
- obsoletes ybin

* Thu Aug 08 2001 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- updated to 1.2.3 per Ben H's urgent announcement
- removed obsoleted patches

* Tue Jan 16 2001 Hollis Blanchard <hollis@terrasoftsolutions.com>
- hacked out bug preventing manual boot from yaboot prompt (may break CHRP)
- removed ybin's man pages
- moved to /usr/lib/yaboot for ybin, FHS compliance
- changed permissions to 644 (can't run yaboot under Linux)

* Sat Nov 18 2000 Hollis Blanchard <hollis@terrasoftsolutions.com>
- updated to yaboot 0.9
- added man pages from ybin
- added sample yaboot.conf and bootscript (and README's)

* Sun Feb 27 2000 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- modified for YDL

* Wed Jan 18 2000 Tom Rini <trini@kernel.crashing.org>
- created
